#include "blitz/protocol/packets/ServerConfigPacket.h"

namespace blitz {
namespace protocol {

DataBuffer ServerConfigPacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_GameConfig;
	return data;
}

void ServerConfigPacket::Deserialize(DataBuffer& data) {
	data >> m_GameConfig;
}

}  // namespace protocol
}  // namespace blitz
